import commander from 'commander';
import { Params } from '..';
export type savedParams = {
    wait?: number;
    bot?: string;
};
export interface InterfaceCLI extends commander.Command {
    host?: string;
    port?: number;
    tls?: boolean;
    insecure?: boolean;
    bot?: string;
    download?: string[];
    path?: string;
    nickname?: string;
    channel?: string[];
    retry?: number;
    passivePort?: number;
    ipv6?: boolean;
    throttle?: number;
    randomize?: boolean;
    botNameMatch?: boolean;
    queue?: RegExp;
    timeout?: number;
    wait?: number;
    nickserv?: string;
    quiet?: boolean;
    saveProfile?: string;
    deleteProfile?: string;
    setProfile?: string;
    listProfile?: string;
}
export declare class BaseCommander {
    program: InterfaceCLI;
    constructor();
    private parseProgram;
    private static parseIfNotInt;
    private static toRegex;
    protected log(string: string, pad?: number): void;
    protected xdccJSOPTS(): Params;
    protected hasProfileAction(): boolean;
    protected xdccBINOPTS(isSaveProfile?: boolean): [Params, savedParams];
}
